<template>
  <nav class="bg-white border-b border-gray-200 flex" aria-label="Breadcrumb">
    <ol role="list" class="max-w-screen-xl w-full mx-auto px-4 flex space-x-4 sm:px-6 lg:px-8">
      <li class="flex">
        <div class="flex items-center">
          <router-link :to="{name: homeRouteName}" class="text-gray-400 hover:text-gray-500">
            <HomeIcon class="flex-shrink-0 h-5 w-5" aria-hidden="true" />
            <span class="sr-only">Home</span>
          </router-link>
        </div>
      </li>
      <li v-for="page in pages" :key="page.name" class="flex">
        <div class="flex items-center">
          <svg class="flex-shrink-0 w-6 h-full text-gray-200" viewBox="0 0 24 44" preserveAspectRatio="none" fill="currentColor" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
            <path d="M.293 0l22 22-22 22h1.414l22-22-22-22H.293z" />
          </svg>
          <router-link :to="{name: page.routeName}" class="ml-4 text-sm font-medium text-gray-500 hover:text-gray-700" :aria-current="page.current ? 'page' : undefined">{{ page.name }}</router-link>
        </div>
      </li>
    </ol>
  </nav>
</template>

<script lang="ts">

import {defineComponent, PropType} from "vue";
import { HomeIcon } from '@heroicons/vue/solid'
import {RouteNames} from "@/router";

export class BreadCrumbPage {
  constructor(public readonly name: string, public readonly routeName: string, public readonly current: boolean) {
  }
}

// const pages = [
//   { name: 'Projects', href: '#', current: false },
//   { name: 'Project Nero', href: '#', current: true },
// ]
export default defineComponent({
  name: 'BreadCrumbs',
  components: {
    HomeIcon
  },
  setup() {
    return {
    }
  },
  data() {
    return {
      homeRouteName: RouteNames.Scan
    }
  },
  props: {
    pages: {
      type: Array as PropType<Array<BreadCrumbPage>>,
      required: true
    }
  }
});
</script>

<style scoped>

</style>